### Features
# Crypto Currency rates

This application allows to view crypto currency rates from [Coin Market Cap](https://coinmarketcap.com).

## Getting started

1. Get an API key at [Coin Market Cap](https://coinmarketcap.com/api/).

2. At the top-level directory of the project create a `.env` file with the following content:
```
api_key=Your API key
```

3. Install packages by running:
```sh
flutter pub get
```

## Screenshots

![Crypto currency list](/screenshots/crypto-currency-list.png "Crypto currencies list")
![Crypto currency details](/screenshots/crypto-currency-detail.png "Crypto currency details")

## Built with
* [Flutter](https://github.com/flutter/flutter) - Flutter makes it easy and fast to build beautiful mobile apps.
* [Riverpod](https://pub.dev/packages/riverpod) - A simple way to access state from anywhere in your application while robust and testable.
* [Json Serializable](https://github.com/dart-lang/json_serializable) - Generates utilities to aid in serializing to/from JSON.
* [Flutter Dotenv](https://pub.dev/packages/flutter_dotenv) - Easily configure any flutter application with global variables using a `.env` file.
* [Flutter Native Splash](https://pub.dev/packages/flutter_native_splash) - Customize Flutter's default white native splash screen with background color and splash image.

## Authors

* [Karol Lisiewicz](https://www.linkedin.com/in/karol-lisiewicz/)
